Bug 72500 - Can't select new fonts in mozilla (maybe Japanese only)
Summary: Can't select new fonts in mozilla (maybe Japanese only)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ttmkfdir   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-24 17:29 UTC by Need Real Name
Modified: 2007-04-18 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 01:22:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-24 17:29:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
ttmkfdir doesn't make "-jisx"lists in fonts.dir.
so mozilla can't see that new fonts are Japanese.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add new Japanese fonts to /usr/share/fonts/ja/TrueType/
(http://users.hoops.ne.jp/yozk/YOzFont.ZIP
is a good Japanese font.)
2. reboot your machine.
3. start mozilla,
   select Edit>Preferences>Appearance>Fonts
4. set "Fonts for: Japanese".
5. look for fonts you added...you can't find them.

Actual Results:  I can't select Japanese fonts I added.

Expected Results:  I can select them.

Additional info:

Comment 1 Christopher Blizzard 2002-08-25 02:04:25 UTC
XFree bug?

Comment 2 Need Real Name 2002-08-25 04:22:13 UTC
>XFree bug? 
I don't know. But in konqueror or openoffice or gnome-font-properties, 
I can select Japanese fonts I added. 
So maybe it's a mozilla's problem. 
Mozilla doesn't recognize fonts-list(-iso10646-1 or -iso8859-10 etc..) made by ttmkfdir as 
Japanese fonts. 


Comment 3 Christopher Blizzard 2002-08-25 05:01:00 UTC
I think that those apps are all using Xft and are able to read the TT files
directly.  Mozilla can only read them if they are available through standard X
fonts.

Comment 4 Need Real Name 2002-08-26 14:33:38 UTC
I found Mandrake's ttmkfdir.It makes "-jisx"fonts.dir.

http://www.geocities.jp/knee2525/files/ttmkfdir.jpg
Delete ".jpg",Change permissions to "executable",then
Copy to "/usr/bin/".

Type "ttmkfdir >fonts.dir",and compare. 
You can see RedHat's ttmkfdir is bad for Japanese.

I can use Japanese fonts in Mozilla with Mandrake's ttmkfdir.

Comment 5 Christopher Blizzard 2002-08-30 15:00:07 UTC
Over to mike.

Comment 6 Mike A. Harris 2002-09-01 05:56:05 UTC
yshao handles ttmkfdir related bug reports reassigning..

If this is not considered a showstopper, then it likely wont be done
in the final release I don't believe.  This release will be the last
Red Hat Linux release to ship with ttmkfdir written in C++ also.

Future releases will use mkfontscale instead.

Comment 7 Leon Ho 2003-01-31 01:22:26 UTC
yshao has the fix on latest ttmkfdir. Also mozilla uses Xft now and does not depends 
on X font system. 


Note You need to log in before you can comment on or make changes to this bug.